From 08348ff3dbb7214a4b2209b98181442653a6681c Mon Sep 17 00:00:00 2001
From: Markos Chandras <mchandras@suse.de>
Date: Thu, 20 Oct 2016 14:18:27 +0100
Subject: prototypes: bifrost: Ignore dnsmasq service failures

If this is the first time we run bifrost on a host or if we haven't
run bifrost since the last reboot, restarting the dnsmasq service will
fail because of conflicts with the dnsmasq process running by libvirt.
This is later on 'fixed' by bifrost by killing the one from libvirt.
Make sure that this spurious failure will not prevent the rest of the
cleanup process to move on.

Change-Id: Iebf37881570c27cb07cea3cecdb0fa8ac3fc511b
Signed-off-by: Markos Chandras <mchandras@suse.de>
---
 bifrost/scripts/destroy-env.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'bifrost')

diff --git a/bifrost/scripts/destroy-env.sh b/bifrost/scripts/destroy-env.sh
index 67464577..cdc55df1 100755
--- a/bifrost/scripts/destroy-env.sh
+++ b/bifrost/scripts/destroy-env.sh
@@ -46,7 +46,7 @@ fi
 rm -rf /var/lib/libvirt/images/*.qcow2
 
 echo "restarting services"
-service dnsmasq restart
+service dnsmasq restart || true
 service libvirtd restart
 service ironic-api restart
 service ironic-conductor start
-- 
cgit